<?php

use Behat\MinkExtension\Context\MinkContext;

class FeatureContext extends MinkContext
{
    /**
     * Initializes context.
     *
     * Every scenario gets its own context instance.
     * You can also pass arbitrary arguments to the
     * context constructor through behat.yml.
     */
    public function __construct()
    {
    }
    
    
	/**
	 * @AfterStep
	 */
	public function takeScreenShotAfterFailedStep(afterStepScope $scope) {
		if (99 === $scope->getTestResult()->getResultCode()) {
//			..$driver = $this->getSession()->getDriver();

		//	mkdir('./debug_'.get_class($driver));

		//	if (!($driver instanceof ChromeDriver)) {
		//		return;
		//	}

			$screenshotData = $this->getSession()->getDriver()->getScreenshot();

			//if ($screenshotData) {
				$testrail_test_id = 0;
				foreach ($scope->getFeature()->getTags() as $tag) {
					$tokens = explode(" ", $tag);
					if ($tokens[0] == 'testrail_test_id') {
						$testrail_test_id = $tokens[1];
					}
				}

				if (!is_dir('./screens')) {
					mkdir('./screens');
				}
				file_put_contents('./screens/test_'.$testrail_test_id.'.png', $screenshotData);
			//}
		}
	}
}
